/* "userland" parport abstraction layer (x86), v0.2 2006/09/25 */
/* stellae (Noel LEMOUEL) / released under GPL */

#ifndef SPP_H
#define SPP_H

/************** Functions seen by higher level func. **************/

/* general */
/* TODO */
/* Err. code assignment */
extern void InitParport(void);
/* data bus */
extern void DataBusAsOutput(void);
extern void DataBusAsInput(void);
extern void WriteDataByte(unsigned char);
unsigned char ReadDataByte(void);
/* output signals */
extern void SetStrobe(void);
extern void SetAutofeed(void);
extern void SetInitialize(void);
extern void SetSelect(void);
extern void ClearStrobe(void);
extern void ClearAutofeed(void);
extern void ClearInitialize(void);
extern void ClearSelect(void);
/* input signals */
extern int ReadAck(void);
extern int ReadBusy(void);
extern int ReadPaperOut(void);
extern int ReadSelectIn(void);
extern int ReadError(void);

#endif /* SPP_H */
